.news-settings{
    display: flex;
    gap: 10px;
}

.news-category-settings {
    position: relative;
    display: inline-block;
}

.news-category-settings__icon {
    width: 30px;
    height: 30px;
    /*background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%23899097"><path d="M3 17v2h6v-2H3zM3 5v2h10V5H3zm10 16v-2h8v-2h-8v-2h-2v6h2zM7 9v2H3v2h4v2h2V9H7zm14 4v-2H11v2h10zm-6-4h2V7h4V5h-4V3h-2v6z"/></svg>');
	*/background-size: contain;
    background-repeat: no-repeat;
    cursor: pointer;
}

@media screen and (max-width: 480px) {
    .news-settings{
        width: 100%;
    }
}

.news-category-settings__popup {
    position: absolute;
    top: 100%;
    right: 0;
    margin-top: 8px;
    background: #dfe2e6;
    border: 1px solid #b6c4ce;
    box-shadow: 0 2px 8px rgba(0,0,0,0.15);
    z-index: 1000;
    min-width: 215px;
}

.container.dark-theme .news-category-settings__popup {
	background-color: #474b52;
	border: none;
}

.news-category-settings__popup-inner {
    padding: 10px;
}

.news-category-settings__popup::after,
.news-category-settings__popup::before {
    content: "";
    position: absolute;
    width: 0;
    height: 0;
	border: 8px solid transparent;
}

.news-category-settings__popup::after {
	top: -16px;
    right: 7px;
    border-bottom-color: #dfe2e6;
}

.news-category-settings__popup::before {
    top: -17px;
    right: 7px;
    border-bottom-color: #b5c3cd;
}

.container.dark-theme .news-category-settings__popup::after,
.container.dark-theme .news-category-settings__popup::before {
	border-bottom-color: #474b52;
}

@media screen and (max-width: 480px) {
    .news-category-settings__popup{
    	right: -190px;
    	margin-top: 4px;
    }

	.news-category-settings__popup::after,
	.news-category-settings__popup::before {
		right: 0;
		left: 2px
	}
}

.news-category-checkbox {
	color: #7b8084;
    display: block;
    margin: 5px 0;
    cursor: pointer;
}

.news-category-checkbox input {
    margin-right: 8px;
	accent-color: #5eb5ac;
}